summaryrefslogtreecommitdiffstats
path: root/scripts/windows-container/in-container-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/windows-container/in-container-build.sh')
-rw-r--r--scripts/windows-container/in-container-build.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/windows-container/in-container-build.sh b/scripts/windows-container/in-container-build.sh
new file mode 100644
index 000000000..ca5e15b08
--- /dev/null
+++ b/scripts/windows-container/in-container-build.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# this gets executed inside the container when building a Windows
+# installer on Travis
+#
+# working directory is assumed to be the directory including all the
+# source directories (subsurface, googlemaps, grantlee, etc)
+# in order to be compatible with the assumed layout in the MXE script, we
+# need to create the secondary build directory
+
+set -x
+set -e
+
+mkdir -p win32
+cd win32
+bash -ex ../subsurface/packaging/windows/mxe-based-build.sh installer
+
+# re-enable this when smtk2ssrf is figured out
+#bash -ex ${TRAVIS_BUILD_DIR}/packaging/windows/smtk2ssrf-mxe-build.sh -i